function Boop()

	script.Parent.CFrame = script.Parent.CFrame * CFrame.new(0, -0.05, 0)
	script.Parent.Sound:Play()
	wait(0.1)
	script.Parent.CFrame = script.Parent.CFrame * CFrame.new(0, 0.05, 0)

	wait(1)
	if game.Workspace.Glass.Warning.Disabled == true then
		game.Workspace.Glass.Warning.Disabled = false
	else
		game.Workspace.Glass.Warning.Disabled = true
	end
end

script.Parent.Use.MouseClick:connect(Boop)